// This script sample demonstrates how to subscribe to com events.
// You can run this from the command line using cscript.exe.


// Note the extra argument here which tells JScript to wire up the COM events
var airfoilApp = WScript.CreateObject("RogueAmoeba.Airfoil", "AirfoilApp_");
var metadataProvider = airfoilApp.GetCurrentMetadata(); 

// Have to keep the main thread alive long enough to see some events
WScript.Sleep(100000);

// These events are connected automatically by JScript
// YMMV in other scripting languages
function AirfoilApp_OnSpeakerAdded(macAddress)
{
   WScript.Echo("A Speaker Was Added. " + macAddress);
}

function AirfoilApp_OnSpeakerRemoved(macAddress)
{
   WScript.Echo("A Speaker Was Removed. " + macAddress);
}

function AirfoilApp_OnMetadataChanged()
{
	WScript.Echo("Metadata Was Changed.");
	if(metadataProvider.ProvidesTrackMetadata())
	{
		WScript.Echo("Current track: " + metadataProvider.Title());
	}
	

}